SDL_JoystickEventsEnabled(3)

NAME
SDL_JoystickEventsEnabled - Query the state of joystick event processing.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_JoystickEventsEnabled(void);

DESCRIPTION
If joystick events are disabled, you must call SDL_UpdateJoysticks () yourself and check the state of the joystick when you want joystick information.

RETURN VALUE
Returns SDL_TRUE
 if joystick events are being processed, SDL_FALSE
 otherwise.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_SetJoystickEventsEnabled(3)